Subject: Re: ssh as SOCKS server
From: Shun-ichi GOTO <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 14 Nov 2001 10:22:40 +0900 (JST)

>>>>> at Tue, 13 Nov 2001 15:05:00 EST, nil <[email-masked]> said,> 
> I'm trying out the new Dynamic port forwarding
> feature of ssh, testing on the local machine.
> My tired brain must be missing something.
> 
> I initiate the connection:
> 
>  ssh -vvv -D8000 localhost
> 
> enter my passphrase, and successfully begin a session.
> 
> Now I use a browser configured to use a SOCKS4
> proxy at port 8000.  I try to load a URL and get
> some repetitive blocks of debug messages, ending
> with:

I tried same setting and get same message.
So I change proxy setting of browser (I'm using IE6) as
setting SOCKS4 as localhost / 8000 and other entries 
as ALL EMPTY. Then I succeeded.

Is this help you?

Of course, you should be able to resolve hostname on localhost.
Dynamic forwarding support only SOCKS protocol version 4 (not 4a).

--- Regards,
 Shun-ichi Goto  <[email-masked]>
   R&D Group, TAIYO Corp., Tokyo, JAPAN

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/